### Navigation

- next
- previous |
- S3QL 1.14 documentation »
- Manpages »

# The s3qlrm command

## Synopsis

    s3qlrm [options] <directory>

## Description

The s3qlrm command recursively deletes files and directories on an S3QL file system. Although s3qlrm is faster than using e.g. rm -r`, the main reason for its existence is that it allows you to delete immutable trees (which can be created with s3qllock) as well.

Be warned that there is no additional confirmation. The directory will be removed entirely and immediately.

s3qlrm can only be called by the user that mounted the file system and (if the file system was mounted with `--allow-other` or `--allow-root`) the root user. This limitation might be removed in the future (see issue 155).

## Options

The s3qlrm command accepts the following options:

> `--debug` | activate debugging output (default: None)
> `--quiet` | be really quiet (default: False)
> `--version` | just print program version and exit

## Exit Status

s3qlrm returns exit code 0 if the operation succeeded and 1 if some error occurred.

## See Also

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are `/usr/share/doc/s3ql` or `/usr/local/doc/s3ql`.

### Navigation

- next
- previous |
- S3QL 1.14 documentation »
- Manpages »